GNU bug report logs - #26932
25.1; Crash triggered a few times a day with network process

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vivek Dasmohapatra <vivek@HIDDEN>; dated Sun, 14 May 2017 20:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 12 Jun 2017 15:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 12 11:56:39 2017
Received: from localhost ([127.0.0.1]:43672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKRhn-0000aK-NJ
	for submit <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:56:39 -0400
Received: from ceres.etla.org ([85.119.82.193]:39037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1dKRhl-0000aB-Ta
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:56:38 -0400
Received: from platypus.pepperfish.net ([2a01:4f8:201:620f::2001])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <vivek@HIDDEN>)
 id 1dKRh4-0000q6-3I; Mon, 12 Jun 2017 16:55:54 +0100
Date: Mon, 12 Jun 2017 16:56:32 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
In-Reply-To: <831sqp5hn3.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1706121655510.30972@HIDDEN>
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
 <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
 <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
 <83h8zl5mag.fsf@HIDDEN>
 <alpine.DEB.2.02.1706121620240.30972@HIDDEN>
 <831sqp5hn3.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -3.0
X-Spam_score_int: -29
X-Spam_bar: ---
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Running under gdb now. Anything in particular you want done
 when it triggers again? [...] 
 Content analysis details:   (-3.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 -0.1 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Running under gdb now.
Anything in particular you want done when it triggers again?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 12 Jun 2017 15:51:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 12 11:51:35 2017
Received: from localhost ([127.0.0.1]:43663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKRct-0000RN-Jv
	for submit <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:51:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dKRcr-0000R8-DP
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:51:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dKRci-0004DP-6S
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:51:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48841)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dKRci-0004DJ-2t; Mon, 12 Jun 2017 11:51:24 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3543
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dKRch-0005A9-8p; Mon, 12 Jun 2017 11:51:23 -0400
Date: Mon, 12 Jun 2017 18:51:12 +0300
Message-Id: <831sqp5hn3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1706121620240.30972@HIDDEN>
 (message from Vivek Dasmohapatra on Mon, 12 Jun 2017 16:21:38 +0100
 (BST))
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
 <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
 <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
 <83h8zl5mag.fsf@HIDDEN>
 <alpine.DEB.2.02.1706121620240.30972@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Mon, 12 Jun 2017 16:21:38 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> cc: 26932 <at> debbugs.gnu.org
> 
> > Do you have a backtrace to show for this crash?  It would help.
> 
> I have it running now with core dumps turned on: As soon as it happens
> again I should have a backtrace for you.

Thanks.  Core dump is better than nothing, but it is even better to
run Emacs under GDB to begin with, because there are some things a
debugger cannot do when all it has is a core dump.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 12 Jun 2017 15:23:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 12 11:23:12 2017
Received: from localhost ([127.0.0.1]:43620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKRBP-0004Ky-Rt
	for submit <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:23:12 -0400
Received: from ceres.etla.org ([85.119.82.193]:42031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1dKRBP-0004Kp-1r
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:23:11 -0400
Received: from platypus.pepperfish.net ([2a01:4f8:201:620f::2001])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <vivek@HIDDEN>)
 id 1dKRAg-0000Hm-Vc; Mon, 12 Jun 2017 16:22:27 +0100
Date: Mon, 12 Jun 2017 16:21:38 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
In-Reply-To: <83h8zl5mag.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1706121620240.30972@HIDDEN>
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
 <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
 <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
 <83h8zl5mag.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -3.0
X-Spam_score_int: -29
X-Spam_bar: ---
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Do you have a backtrace to show for this crash? It would
 help. I have it running now with core dumps turned on: As soon as it happens
 again I should have a backtrace for you. [...] 
 Content analysis details:   (-3.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 -0.1 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> Do you have a backtrace to show for this crash?  It would help.

I have it running now with core dumps turned on: As soon as it happens
again I should have a backtrace for you.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 12 Jun 2017 14:11:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 12 10:11:09 2017
Received: from localhost ([127.0.0.1]:43564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKQ3g-0002bZ-Pq
	for submit <at> debbugs.gnu.org; Mon, 12 Jun 2017 10:11:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dKQ3g-0002bN-5N
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 10:11:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dKQ3X-0007WJ-4r
 for 26932 <at> debbugs.gnu.org; Mon, 12 Jun 2017 10:11:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46673)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dKQ3W-0007WD-W2; Mon, 12 Jun 2017 10:10:59 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3325
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dKQ3W-00006f-9h; Mon, 12 Jun 2017 10:10:58 -0400
Date: Mon, 12 Jun 2017 17:10:47 +0300
Message-Id: <83h8zl5mag.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
 (message from Vivek Dasmohapatra on Sun, 11 Jun 2017 22:39:49 +0100
 (BST))
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
 <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
 <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 11 Jun 2017 22:39:49 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> cc: 26932 <at> debbugs.gnu.org
> 
> On Mon, 15 May 2017, Vivek Dasmohapatra wrote:
> 
> >> Is it possible for you to try the latest Emacs 25.2?
> >
> > Sure, I can do that at some point this week.
> 
> That took a little longer for me to get around to, but I just triggered
> the crash again with emacs 25.2.

Do you have a backtrace to show for this crash?  It would help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 11 Jun 2017 21:40:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 11 17:40:01 2017
Received: from localhost ([127.0.0.1]:41487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKAaX-0005Ru-8d
	for submit <at> debbugs.gnu.org; Sun, 11 Jun 2017 17:40:01 -0400
Received: from ceres.etla.org ([85.119.82.193]:36929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1dKAaV-0005Rm-KV
 for 26932 <at> debbugs.gnu.org; Sun, 11 Jun 2017 17:39:59 -0400
Received: from platypus.pepperfish.net ([2a01:4f8:201:620f::2001])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <vivek@HIDDEN>)
 id 1dKAZo-00037v-OI; Sun, 11 Jun 2017 22:39:16 +0100
Date: Sun, 11 Jun 2017 22:39:49 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
In-Reply-To: <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
Message-ID: <alpine.DEB.2.02.1706112239010.26104@HIDDEN>
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
 <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -3.0
X-Spam_score_int: -29
X-Spam_bar: ---
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 15 May 2017,
 Vivek Dasmohapatra wrote: >> Is it possible
 for you to try the latest Emacs 25.2? > > Sure, I can do that at some point
 this week. That took a little longer for me to get around to, but I just
 triggered the crash again with emacs 25.2. [...] 
 Content analysis details:   (-3.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 -0.1 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Mon, 15 May 2017, Vivek Dasmohapatra wrote:

>> Is it possible for you to try the latest Emacs 25.2?
>
> Sure, I can do that at some point this week.

That took a little longer for me to get around to, but I just triggered
the crash again with emacs 25.2.









Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 15 May 2017 11:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 15 07:18:18 2017
Received: from localhost ([127.0.0.1]:45571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dAE14-00014q-Me
	for submit <at> debbugs.gnu.org; Mon, 15 May 2017 07:18:18 -0400
Received: from ceres.etla.org ([85.119.82.193]:38884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1dAE12-00014i-SR
 for 26932 <at> debbugs.gnu.org; Mon, 15 May 2017 07:18:17 -0400
Received: from platypus.pepperfish.net ([2a01:4f8:201:620f::2001])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <vivek@HIDDEN>)
 id 1dAE0Z-0008MZ-Ld; Mon, 15 May 2017 12:17:47 +0100
Date: Mon, 15 May 2017 12:18:12 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26932: 25.1; Crash triggered a few times a day with network
 process
In-Reply-To: <83bmqu7rdd.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1705151217440.3637@HIDDEN>
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 <83bmqu7rdd.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -3.0
X-Spam_score_int: -29
X-Spam_bar: ---
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Is it possible for you to try the latest Emacs 25.2? Sure, 
 I can do that at some point this week. [...] 
 Content analysis details:   (-3.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 -0.1 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> Is it possible for you to try the latest Emacs 25.2?

Sure, I can do that at some point this week.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at 26932 <at> debbugs.gnu.org:


Received: (at 26932) by debbugs.gnu.org; 15 May 2017 03:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 14 23:04:41 2017
Received: from localhost ([127.0.0.1]:45363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dA6JM-0006Sy-VN
	for submit <at> debbugs.gnu.org; Sun, 14 May 2017 23:04:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dA6JL-0006Sl-9a
 for 26932 <at> debbugs.gnu.org; Sun, 14 May 2017 23:04:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dA6JC-0004gc-6Y
 for 26932 <at> debbugs.gnu.org; Sun, 14 May 2017 23:04:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42155)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dA6JC-0004gY-4M; Sun, 14 May 2017 23:04:30 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3497
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dA6JB-0003GJ-I0; Sun, 14 May 2017 23:04:29 -0400
Date: Mon, 15 May 2017 06:04:14 +0300
Message-Id: <83bmqu7rdd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
 (message from Vivek Dasmohapatra on Sun, 14 May 2017 21:54:56 +0100
 (BST))
Subject: Re: bug#26932: 25.1;
 Crash triggered a few times a day with network process
References: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26932
Cc: 26932 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 14 May 2017 21:54:56 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> 
> I have a rudimentary mud client in elisp I cobbled together and use
> (since emacs23 or so): It's been stable since then. However since
> upgrading to emacs25 I've seen 4 crashes of emacs itself - 3 yesterday
> and 1 today.
> 
> At first I thought perhaps it was keyboard/input related as it seemed
> to happen while I was typing, but today while running the client
> to see if I could track down the problem emacs segfaulted while
> I wasn't typing or using the mouse. I managed to get a backtrace
> out of gdb, which I have attached. I can semi-reliably reproduce
> the crash.
> 
> I haven't been able to run xbacktrace as it hasn't yet crashed while
> gdb was attached.
> 
> Looking at the backtrace and examining the source, it looks like
> it blows up in the maybe_gc inside funcall _just before_ the first
> hook in window-scroll-functions is called.

It segfaults in GC.

Is it possible for you to try the latest Emacs 25.2?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2017 20:55:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 14 16:55:39 2017
Received: from localhost ([127.0.0.1]:45145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dA0YD-0002Wl-Kl
	for submit <at> debbugs.gnu.org; Sun, 14 May 2017 16:55:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1dA0YA-0002WY-9V
 for submit <at> debbugs.gnu.org; Sun, 14 May 2017 16:55:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vivek@HIDDEN>) id 1dA0Xz-0001Hm-4e
 for submit <at> debbugs.gnu.org; Sun, 14 May 2017 16:55:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FILL_THIS_FORM,
 T_FILL_THIS_FORM_LOAN autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35326)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vivek@HIDDEN>) id 1dA0Xy-0001HS-US
 for submit <at> debbugs.gnu.org; Sun, 14 May 2017 16:55:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55994)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vivek@HIDDEN>) id 1dA0Xs-000647-SC
 for bug-gnu-emacs@HIDDEN; Sun, 14 May 2017 16:55:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vivek@HIDDEN>) id 1dA0Xn-00015t-82
 for bug-gnu-emacs@HIDDEN; Sun, 14 May 2017 16:55:16 -0400
Received: from ceres.etla.org ([85.119.82.193]:46252)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <vivek@HIDDEN>) id 1dA0Xm-0000sX-Fq
 for bug-gnu-emacs@HIDDEN; Sun, 14 May 2017 16:55:11 -0400
Received: from platypus.pepperfish.net ([2a01:4f8:201:620f::2001])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <vivek@HIDDEN>) id 1dA0X8-0000ft-UZ
 for bug-gnu-emacs@HIDDEN; Sun, 14 May 2017 21:54:33 +0100
Date: Sun, 14 May 2017 21:54:56 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; Crash triggered a few times a day with network process
Message-ID: <alpine.DEB.2.02.1705142142260.3637@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="8323329-982674629-1494795296=:3637"
X-Spam_score: -3.0
X-Spam_score_int: -29
X-Spam_bar: ---
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I have a rudimentary mud client in elisp I cobbled together
 and use (since emacs23 or so): It's been stable since then. However since
 upgrading to emacs25 I've seen 4 crashes of emacs itself - 3 yesterday and
 1 today. [...] 
 Content analysis details:   (-3.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 FILL_THIS_FORM         Fill in a form with personal information
 0.0 T_FILL_THIS_FORM_LOAN  Answer loan question(s)
 -0.1 AWL AWL: Adjusted score from AWL reputation of From: address
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--8323329-982674629-1494795296=:3637
Content-Type: TEXT/PLAIN; format=flowed; charset=US-ASCII

I have a rudimentary mud client in elisp I cobbled together and use
(since emacs23 or so): It's been stable since then. However since
upgrading to emacs25 I've seen 4 crashes of emacs itself - 3 yesterday
and 1 today.

At first I thought perhaps it was keyboard/input related as it seemed
to happen while I was typing, but today while running the client
to see if I could track down the problem emacs segfaulted while
I wasn't typing or using the mouse. I managed to get a backtrace
out of gdb, which I have attached. I can semi-reliably reproduce
the crash.

I haven't been able to run xbacktrace as it hasn't yet crashed while
gdb was attached.

Looking at the backtrace and examining the source, it looks like
it blows up in the maybe_gc inside funcall _just before_ the first
hook in window-scroll-functions is called.

In GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
  of 2017-04-27, modified by Debian built on noise
Windowing system distributor 'The X.Org Foundation', version 11.0.11604000
System Description:     Debian GNU/Linux 8.8 (jessie)

Configured using:
  'configure --build x86_64-linux-gnu --prefix=/usr
  --sharedstatedir=/var/lib --libexecdir=/usr/lib
  --localstatedir=/var/lib --infodir=/usr/share/info
  --mandir=/usr/share/man --with-pop=yes

--enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
  --with-sound=alsa --build x86_64-linux-gnu --prefix=/usr
  --sharedstatedir=/var/lib --libexecdir=/usr/lib
  --localstatedir=/var/lib --infodir=/usr/share/info
  --mandir=/usr/share/man --with-pop=yes

--enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
  --with-sound=alsa --with-x=yes --with-x-toolkit=gtk3
  --with-toolkit-scroll-bars 'CFLAGS=-g -O2 -fstack-protector-strong
  -Wformat -Werror=format-security -Wall' CPPFLAGS=-D_FORTIFY_SOURCE=2
  LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LC_ALL: en_GB.UTF-8
   value of $LANG: en_GB.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
   which-function-mode: t
   diff-auto-refine-mode: t
   magit-auto-revert-mode: t
   global-git-commit-mode: t
   async-bytecomp-package-mode: t
   shell-dirtrack-mode: t
   auto-image-file-mode: t
   iswitchb-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t

Recent messages:
<elided - this is not the copy that crashed>

Load-path shadows:
/usr/share/emacs/25.1/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs25/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/home/vivek/.emacs.d/lib/htmlfontify hides /usr/share/emacs/25.1/lisp/htmlfontify
/usr/share/emacs25/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/25.1/lisp/textmodes/flyspell
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/25.1/lisp/textmodes/rst
/usr/share/emacs25/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/25.1/lisp/textmodes/ispell
/home/vivek/.emacs.d/lib/browse-url hides /usr/share/emacs/25.1/lisp/net/browse-url

Features:
(shadow sort mail-extr emacsbug sendmail make-mode pulse eieio-opt
speedbar sb-image ezimage dframe find-func etags xref project dired-aux
autoconf autoconf-mode git-rebase misearch multi-isearch esh-var esh-io
esh-cmd esh-opt esh-ext esh-proc esh-arg esh-groups eshell esh-module
esh-mode esh-util which-func imenu cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs dabbrev vc-git
sh-script smie executable magit-obsolete magit-blame magit-stash
magit-bisect magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-branch magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff-mode magit-core magit-autorevert autorevert filenotify
magit-process magit-margin magit-mode magit-git crm magit-section
magit-popup git-commit magit-utils log-edit message rfc822 mml mml-sec
epg mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev gmm-utils mailheader pcvs-util add-log with-editor
async-bytecomp async tramp-sh tramp tramp-compat tramp-loaddefs trampver
ucs-normalize shell pcomplete comint format-spec server dash dired gnus
gnus-ems nnheader mail-utils wid-edit image-file cus-start cus-load
ls-lisp iswitchb edmacro kmacro thingatpt browse-url cl jka-compr wiki
warnings advice url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
auth-source cl-seq eieio eieio-core cl-macs gnus-util mm-util help-fns
mail-prsvr password-cache url-vars mailcap ediff-merg ediff-wind
ediff-diff ediff-mult ediff-help ediff-init ediff-util ediff diff wiki-+
ansi-color lui tracking flyspell ispell ring incomplete finder-inf
tex-site info package epg-config seq byte-opt gv bytecomp byte-compile
cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib debian-el
debian-el-loaddefs emacs-goodies-el emacs-goodies-custom
emacs-goodies-loaddefs easy-mmode dpkg-dev-el dpkg-dev-el-loaddefs
devhelp time-date mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 476270 67640)
  (symbols 48 37722 0)
  (miscs 40 599 1669)
  (strings 32 74597 9971)
  (string-bytes 1 19723175)
  (vectors 16 60643)
  (vector-slots 8 1688085 153273)
  (floats 8 386 972)
  (intervals 56 28462 2534)
  (buffers 976 114)
  (heap 1024 80470 3527))


--8323329-982674629-1494795296=:3637
Content-Type: TEXT/plain; name=gdb.txt
Content-Transfer-Encoding: BASE64
Content-ID: <alpine.DEB.2.02.1705142154560.3637@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=gdb.txt
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--8323329-982674629-1494795296=:3637--




Acknowledgement sent to Vivek Dasmohapatra <vivek@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26932; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 12 Jun 2017 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.